## loncapa-prerequisites 1.35

=== Makefile ===
#
# LON-CAPA prerequisites makefile
#
# $Id: Makefile,v 1.1 2004/08/05 19:11:56 matthew Exp $
#
# Copyright Michigan State University Board of Trustees
#
# This file is part of the LearningOnline Network with CAPA (LON-CAPA).
#
# LON-CAPA is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation; either version 2 of the License, or
# (at your option) any later version.
#
# LON-CAPA is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with LON-CAPA; if not, write to the Free Software
# Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
#
# /home/httpd/html/adm/gpl.txt
#
# http://www.lon-capa.org/
#

#
# Installation locations 

PREFIX = /usr
BINDIR = $(PREFIX)/bin
MANDIR = $(PREFIX)/man
LIBDIR = $(PREFIX)/lib
DOCDIR = $(PREFIX)/share/doc/LONCAPA_prerequisites

INSTALL = install

build:

install:

clean:

=== debian/changelog ===
loncapa-prerequisites (1.35-9) unstable; urgency=low

  * Initial release.

 -- Stuart Raeburn <raeburn@loncapa.org>  Mon, 27 Oct 2025 16:44:00 -0400

=== debian/control ===
Source: loncapa-prerequisites
Section: web
Priority: optional
Maintainer: Stuart Raeburn <raeburn@loncapa.org>
Rules-Requires-Root: no
Build-Depends: debhelper-compat (= 13)
Standards-Version: 4.7.2
Homepage: http://loncapa.org

Package: loncapa-prerequisites
Architecture: all
Depends: ${misc:Depends}, apache2 (>= 2.2.12), libapache2-mod-perl2, perl, libwww-perl (>= 5.837), aspell, default-mysql-client, default-mysql-server, maxima, memcached, chrony, zip, unzip, psutils, a2ps, wget, mailutils, make, ufw, nftables, gnuplot-nox (>= 4.4), bison, flex, swig, groff, gcc, patch, ghostscript, imagemagick, ssh, whois, libgd-perl, libgd-barcode-perl, libgd-graph-perl, libgd-graph3d-perl, libgd-text-perl, perlmagick, libdbd-mysql-perl, libdbi-perl, libalgorithm-diff-perl, libauthen-krb5-perl, libauthen-pam-perl, libcrypt-des-perl, libcrypt-idea-perl, libcrypt-ssleay-perl, libevent-perl, liblocale-codes-perl, liberror-perl, libhtml-parser-loncapa-perl, libhtml-tree-perl, libio-socket-ssl-perl (>= 1.79), libio-stringy-perl, libmailtools-perl, libmath-cephes-perl, libmath-random-loncapa-perl, libnet-ph-perl, libnet-ssleay-perl (>= 1.50), libole-storage-lite-perl, libparse-recdescent-perl, libpod-pom-perl, libpostscript-simple-perl, libsafe-hole-perl, libspreadsheet-writeexcel-perl, libstring-crc32-perl, libstring-similarity-perl, libtext-aspell-perl, libtext-query-perl, libtimedate-perl, libio-socket-ssl-perl, libmime-lite-perl, libmime-types-perl, libcache-memcached-perl, libexpect-perl, libio-pty-perl, libdate-manip-perl, texlive-base, texlive-latex-base, texlive-latex-recommended, texlive-latex-extra, texlive-plain-generic, texlive-fonts-recommended, lmodern, libdatetime-perl, libdatetime-locale-perl, libdatetime-timezone-perl, libauthen-captcha-perl, libxml-dom-perl, libfile-mmagic-perl, librtf-htmlconverter-perl, libimage-base-bundle-perl, liblatex-table-perl, libcam-pdf-perl, r-base-core, r-cran-phpserialize, libtie-ixhash-easy-perl, r-cran-alr3, r-cran-car, r-cran-hmisc, r-cran-leaps, r-cran-lmtest, r-cran-qanalyst, r-cran-quadprog, r-cran-suppdists, r-cran-zoo, libtree-perl, libterm-readkey-perl, libxml-libxml-perl (>= 1.98), libcaptcha-recaptcha-perl, aspell-en, aspell-de, aspell-es, aspell-fr, aspell-he, aspell-pt, aspell-tr, libdigest-sha-perl, bc, libaliased-perl, libjson-dwiw-perl, libenum-perl, libtry-tiny-perl, libcrypt-eksblowfish-perl, libnet-oauth-perl, libfile-slurp-perl, libmath-calculus-expression-loncapa-perl, libarchive-zip-perl, libnumber-formateng-perl, libsys-hostname-fqdn-perl, libtext-unidecode-perl, libfile-readbackwards-perl, libswitch-perl, libnet-cidr-perl, libcrypt-openssl-x509-perl, liblwp-useragent-dns-hosts-perl, libdatetime-format-x509-perl, libuuid-tiny-perl, libshort-url-perl, libmath-round-perl, libcrypt-pkcs10-perl, libcrypt-openssl-dsa-perl, libcrypt-openssl-rsa-perl, libcrypt-le-perl, libcrypt-x509-crl-loncapa-perl, libcrypt-cbc-perl, libtext-tabs+wrap-perl, r-cran-mdatools, r-cran-factominer
Description: Lists packages requires to run the LON-CAPA system.
 Installation with apt-get will install the dependencies required for LON-CAPA
 meta-package
